
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "weblob_fizz"
	actor[cp_model_dir]			= "rooms"
	actor[cp_model_name]		= "fizz-1"

	actor[cp_actor_type]			= cat_fizz

	actor[cp_launch_hue_shift] = color

	actor[cp_hit_power]			= 5.0

-- leave me
	c_preload_model( actor )
-- leave me

--	c_set_random_anim( "pulse1", 500.0, 1000.0, 0.0, 0.0 )
--	c_set_random_anim( "pulse2", 100.0, 200.0, 0.0, 0.0 )
--	c_set_random_anim( "pulse3", 500.0, 1000.0, 0.0, 0.0 )

--	c_add_fizz_between( "weblob_fizz", "weblob_tiny", "mainbone", "weblob_tiny", "mainbone", "barrier_damage_gamer", 50.0, 1.0, 30.0, 0.0 )

	c_add_fizz_between( "weblob_fizz", "weblob_tiny2", "mainbone", "weblob_tiny2", "mainbone", "barrier_damage_gamer", 50.0, 1.0, 37.0, 0.0 )
--	c_add_fizz_between( "weblob_fizz", "weblob_tiny2", "mainbone", "pylon", "mainbone", "barrier_damage_gamer", 25.0, 1.0, 30.0, 0.0 )

